USNS MERCY Mid-Term Availability (MTA) N3220522R4050

Closed Solicitation Posted

This opportunity was awarded. See the award notice from .

Solicitation number
N3220522R4050
Agency
Responses due
Set-aside
No set-aside

Opportunity facts

NAICS code
336611 Ship Building and Repairing

Notice details come from SAM.gov. Updated .

About this opportunity

The USNS MERCY Mid-Term Availability solicitation seeks maintenance and modernization services for the USNS MERCY hospital ship. Issued by the Department of the Navy's Military Sealift Command, the solicitation requires bidders to submit a signed non-disclosure agreement to receive the work package and evaluation criteria. Proposals are due by August 23, 2022. The work will be evaluated based on technical qualifications, past performance, and price.

There is no set-aside designation. The NAICS code is 336611 and PSC code is J019. The solicitation did not provide potential award values or current contractors. The work package was not included but references performing maintenance on a hospital ship over a similar timeline. The place of performance will be the port location of the USNS MERCY.

Notice text

5 versions

Update #5 · Latest ·

The purpose of Amendment 4 is to answer RFC 021 (RFC 012 Rev. 2) removing Work Item 0621. Provide revised J-2 from Amendment 2 and J-3 from Amendment 4. *Visit 'https://piee.eb.mil/sol/xhtml/unauth/search/oppMgmtLink.xhtml?solNo=N3220522R4050' to obtain more details.*

Update #4 ·

The purpose of Amendment 3 is to answer RFC 014-020, and revise RFC 012. Provide Revised Work Items, References, Revised RFC and Proposal Date. *Visit 'https://piee.eb.mil/sol/xhtml/unauth/search/oppMgmtLink.xhtml?solNo=N3220522R4050' to obtain more details.*

Update #3 ·

The purpose of Amendment 2 is to answer RFC 008-013, Provide Revised Work Items, References, Revised RFC and Proposal Date, Revised J-2 and Updated Work Item Index. *Visit 'https://piee.eb.mil/sol/xhtml/unauth/search/oppMgmtLink.xhtml?solNo=N3220522R4050' to obtain more details.*

Update #2 ·

The purpose of Amendment 1 is to answer RFC 001-007, Provide missing references and correct Work Item 0527, and add clause 52.232-18 Availability of Funds. *Visit 'https://piee.eb.mil/sol/xhtml/unauth/search/oppMgmtLink.xhtml?solNo=N3220522R4050' to obtain more details.*

Update #1 ·

USNS MERCY Mid-Term Availability (MTA) Solicitation, J-Attachments, and Exhibit A CDRLs. Please return one (1) signed J-14 Non-Disclosure Agreement (NDA) to receive the J-1 Work Package and associated references. *Visit 'https://piee.eb.mil/sol/xhtml/unauth/search/oppMgmtLink.xhtml?solNo=N3220522R4050' to obtain more details.*

Notice history

Notice Type Posted
USNS MERCY Mid-Term Availability (MTA) N3220523C4142 Award Award Notice
This notice Latest solicitation Solicitation
Usns mercy mid-term availability (MTA) FY23 synopsis Pre-Solicitation
Usns mercy mid-term availability (MTA) FY23 Original Pre-Solicitation

Similar open opportunities

Opportunity Agency Set-aside Responses due
USNS MERCY (T-AH 19) Rescue Boat Davit Overhaul Oregon 97140, United States · NAICS 333923 Military Sealift Command No set-aside
USS MAKIN ISLAND (LHD 8) FY28 Docking Selected Restricted Availability (DSRA) Request for Proposal(s) NAICS 336611 Naval Sea Systems Command No set-aside
USS lewis B puller -MTA -FY 27. NAICS 336611 Naval Supply Systems Command No set-aside
Usns salvor (T-ARS 52) voyage repair availability (VRA) Subic Bay, Philippines Philippines · NAICS 336611 Naval Supply Systems Command No set-aside
Combined Solicitation Synopsis NAICS 336611 Military Sealift Command No set-aside

On GovTribe

Work this opportunity

  • Track it in your pipeline
  • Find teaming partners
  • Similar opportunities
  • Ask GovTribe AI about this opportunity

GovTribe for Federal Contractors